org.springframework.cloud.dataflow.shell.config

## Class DataFlowBannerProvider

- java.lang.Object
- - org.springframework.cloud.dataflow.shell.config.DataFlowBannerProvider

- All Implemented Interfaces:
    org.springframework.shell.plugin.BannerProvider, org.springframework.shell.plugin.NamedProvider

      @Component
       @Order(value=-2147483648)
      public class DataFlowBannerProvider
      extends Object
      implements org.springframework.shell.plugin.BannerProvider

  Provides the Spring Cloud Data Flow specific `BannerProvider`.
  Since:
    1.0
  Author:
    Gunnar Hillert, Josh Long

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFlowBannerProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBanner()`
    `String` | `getProviderName()`
    `String` | `getVersion()` Returns the version information as found in the manifest file (set during release).
    `String` | `getWelcomeMessage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataFlowBannerProvider

          public DataFlowBannerProvider()

  - ### Method Detail

    - #### getProviderName

          public String getProviderName()

      Specified by:
        `getProviderName` in interface `org.springframework.shell.plugin.NamedProvider`

    - #### getBanner

          public String getBanner()

      Specified by:
        `getBanner` in interface `org.springframework.shell.plugin.BannerProvider`

    - #### getVersion

          public String getVersion()

      Returns the version information as found in the manifest file (set during release).
      Specified by:
        `getVersion` in interface `org.springframework.shell.plugin.BannerProvider`

    - #### getWelcomeMessage

          public String getWelcomeMessage()

      Specified by:
        `getWelcomeMessage` in interface `org.springframework.shell.plugin.BannerProvider`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.